/*
 * UISMFunctions.h - Header file for the UI state machine functions for the MIDI Synthesizer Project
 *
 * Written by: Craig A. Lindley
 * Version: 1.0
 * Last Update: 09/10/2014
 *
 * Copyright (c) 2014 Craig A. Lindley
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef UISMFUNCTIONS_H
#define UISMFUNCTIONS_H

#include "Arduino.h"

void initializeMIDIEnv();

boolean playMidiFileFunction(boolean firstTime);
boolean recordRiffFunction(boolean firstTime);
boolean playRiffFunction(boolean firstTime);
boolean masterVolumeFunction(boolean firstTime);
boolean drumSetFunction(boolean firstTime);
boolean resetFunction(boolean firstTime);

boolean channelVolumeFunction(boolean firstTime);
boolean channelProgramFunction(boolean firstTime);
boolean channelPanFunction(boolean firstTime);
boolean channelChorusFunction(boolean firstTime);
boolean channelReverbFunction(boolean firstTime);
boolean channelPortamentoFunction(boolean firstTime);
boolean channelModulationFunction(boolean firstTime);

#endif


